xine-lib: dvbsub_func_t Struct Reference

xine-lib 1.2.12

Data Fields
dvbsub_func_t Struct Reference

## Data Fields
int | x
int | y
unsigned int | curr_obj
unsigned int | curr_reg [64]
uint8_t * | buf
int | i
int | i_bits
int | compat_depth
unsigned int | max_regions
page_t | page
dds_t | dds
region_t | regions [16]
clut_union_t | colours [16 *256]
unsigned char | trans [16 *256]
struct {
unsigned char lut24 [4]
unsigned char lut28 [4]
unsigned char lut48 [16]
} | lut [16]
sparse_array_t | object_pos

## Field Documentation

## ◆ buf

uint8_t* dvbsub_func_t::buf

Referenced by decode_8bit_pixel_code_string(), next_datum(), process_CLUT_definition_segment(), process_display_definition_segment(), process_object_data_segment(), process_page_composition_segment(), process_pixel_data_sub_block(), and process_region_composition_segment().

## ◆ colours

clut_union_t dvbsub_func_t::colours[16 *256]

Referenced by recalculate_trans(), reset_clut(), and set_clut().

## ◆ compat_depth

int dvbsub_func_t::compat_depth

Referenced by lookup_lut(), and process_region_composition_segment().

## ◆ curr_obj

unsigned int dvbsub_func_t::curr_obj

Referenced by process_object_data_segment().

## ◆ curr_reg

unsigned int dvbsub_func_t::curr_reg[64]

## ◆ dds

dds_t dvbsub_func_t::dds

Referenced by process_display_definition_segment().

## ◆ i

int dvbsub_func_t::i

Referenced by decode_2bit_pixel_code_string(), decode_4bit_pixel_code_string(), decode_8bit_pixel_code_string(), next_datum(), process_CLUT_definition_segment(), process_display_definition_segment(), process_object_data_segment(), process_page_composition_segment(), process_pixel_data_sub_block(), and process_region_composition_segment().

## ◆ i_bits

int dvbsub_func_t::i_bits

Referenced by decode_2bit_pixel_code_string(), decode_4bit_pixel_code_string(), and next_datum().

## ◆

struct { ... } dvbsub_func_t::lut[ 16 ]

Referenced by lookup_lut(), process_pixel_data_sub_block(), and reset_clut().

## ◆ lut24

unsigned char dvbsub_func_t::lut24[4]

Referenced by lookup_lut(), process_pixel_data_sub_block(), and reset_clut().

## ◆ lut28

unsigned char dvbsub_func_t::lut28[4]

Referenced by lookup_lut(), process_pixel_data_sub_block(), and reset_clut().

## ◆ lut48

unsigned char dvbsub_func_t::lut48[16]

Referenced by lookup_lut(), process_pixel_data_sub_block(), and reset_clut().

## ◆ max_regions

unsigned int dvbsub_func_t::max_regions

Referenced by process_object_data_segment(), process_page_composition_segment(), process_region_composition_segment(), and recalculate_trans().

## ◆ object_pos

sparse_array_t dvbsub_func_t::object_pos

Referenced by process_object_data_segment(), and process_region_composition_segment().

## ◆ page

page_t dvbsub_func_t::page

Referenced by process_object_data_segment(), process_page_composition_segment(), and process_region_composition_segment().

## ◆ regions

region_t dvbsub_func_t::regions[16]

Referenced by plot(), process_object_data_segment(), and process_region_composition_segment().

## ◆ trans

unsigned char dvbsub_func_t::trans[16 *256]

Referenced by recalculate_trans(), and reset_clut().

## ◆ x

int dvbsub_func_t::x

Referenced by plot(), and process_pixel_data_sub_block().

## ◆ y

int dvbsub_func_t::y

Referenced by plot(), and process_pixel_data_sub_block().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/spu_dec/spudvb_decoder.c